<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="checkRoles$ | async as checkRoles">
  <ng-container *ngLet="checkRoles && checkRoles(allowedRoles) as authorized">
    <ng-template *ngIf="templateRef" [ngTemplateOutlet]="templateRef" [ngTemplateOutletContext]="{ $implicit: authorized }"></ng-template>
  </ng-container>
</ng-container>
